package DB;
final public class ColumnDescriptorHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.ColumnDescriptor value;

	public ColumnDescriptorHolder ()
	{
	}
	public ColumnDescriptorHolder (DB.ColumnDescriptor initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DB.ColumnDescriptorHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = DB.ColumnDescriptorHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		DB.ColumnDescriptorHelper.write(_out,value);
	}
}
